Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 625832 - abrt does not show source where crash occurs, shows "foo.c: No such file or directory" instead
abrt does not show source where crash occurs, shows "foo.c: No such file or d...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: abrt (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Jiri Moskovcak
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-20 11:04 EDT by Jaroslav Škarvada
Modified: 2015-02-01 17:52 EST (History)
9 users (show)

See Also:
Fixed In Version: abrt-2.0.1-2.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-04-26 12:18:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jaroslav Škarvada 2010-08-20 11:04:19 EDT
Description of problem:
abrt does not show source where crash occurs, shows "foo.c: No such file or directory" instead

Version-Release number of selected component (if applicable):
abrt-1.1.13-2.fc13

How reproducible:
Always

Steps to Reproduce:
1. Check https://bugzilla.redhat.com/attachment.cgi?id=439902
  
Actual results:
#0  0x004030e2 in TKU_ImageChanged (cd=0xa3b4cd0, x=0, y=0, w=22, h=22, 
    imgw=22, imgh=22) at tktray.c:105
105	tktray.c: No such file or directory.
	in tktray.c

Expected results:
I expect to see content of tktray.c:105, e.g.:
 XPutPixel(xim, cx, cy, alpha<128? 0: 1);
where the crash actually occured.

Additional info:
This could be probably fixed with help of gdb's -d (--directory) parameter.
Comment 1 Fedora Update System 2011-03-27 13:35:06 EDT
abrt-2.0.0-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/abrt-2.0.0-1.fc15
Comment 2 Fedora Update System 2011-03-29 16:00:03 EDT
abrt-2.0.0-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/abrt-2.0.0-2.fc15
Comment 3 Fedora Update System 2011-03-29 22:31:16 EDT
Package abrt-2.0.0-2.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing abrt-2.0.0-2.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/abrt-2.0.0-2.fc15
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2011-03-30 12:47:39 EDT
abrt-2.0.0-3.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/abrt-2.0.0-3.fc15
Comment 5 Fedora Update System 2011-04-04 10:07:19 EDT
abrt-2.0.0-4.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/abrt-2.0.0-4.fc15
Comment 6 Fedora Update System 2011-04-15 11:07:17 EDT
abrt-2.0.0-5.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/abrt-2.0.0-5.fc15
Comment 7 Fedora Update System 2011-04-20 09:28:49 EDT
abrt-2.0.1-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/abrt-2.0.1-1.fc15
Comment 8 Fedora Update System 2011-04-21 12:43:34 EDT
abrt-2.0.1-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/abrt-2.0.1-2.fc15
Comment 9 Fedora Update System 2011-04-26 12:10:53 EDT
abrt-2.0.1-2.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.